/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IShortPeriodLongPeriod_$type } from "./IShortPeriodLongPeriod";
import { PercentagePriceOscillatorIndicatorStrategy } from "./PercentagePriceOscillatorIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES2015/type";
export class PercentagePriceOscillatorIndicator extends StrategyBasedIndicator {
    get_p0() {
        return new PercentagePriceOscillatorIndicatorStrategy();
    }
    get p0() {
        return this.get_p0();
    }
    get_qd() {
        return PercentagePriceOscillatorIndicator.$;
    }
    get qd() {
        return this.get_qd();
    }
    get shortPeriod() {
        return typeGetValue(this.c(PercentagePriceOscillatorIndicator.qm));
    }
    set shortPeriod(a) {
        this.h(PercentagePriceOscillatorIndicator.qm, a);
    }
    p8() {
        return this.shortPeriod;
    }
    get longPeriod() {
        return typeGetValue(this.c(PercentagePriceOscillatorIndicator.ql));
    }
    set longPeriod(a) {
        this.h(PercentagePriceOscillatorIndicator.ql, a);
    }
    p5() {
        return this.longPeriod;
    }
}
PercentagePriceOscillatorIndicator.qm = StrategyBasedIndicator.qk(10, PercentagePriceOscillatorIndicator.$);
PercentagePriceOscillatorIndicator.ql = StrategyBasedIndicator.qg(30, PercentagePriceOscillatorIndicator.$);
PercentagePriceOscillatorIndicator.$t = markType(PercentagePriceOscillatorIndicator, 'PercentagePriceOscillatorIndicator', StrategyBasedIndicator.$, [IShortPeriodLongPeriod_$type]);
/*<BeginStatics Name="Infragistics.Controls.Charts.PercentagePriceOscillatorIndicator" />*/
/*<EndStatics Name="Infragistics.Controls.Charts.PercentagePriceOscillatorIndicator" />*/
